%define name banshee
%define version 0.11.0
%define cvs 20060808
%define release %mkrel 1.%cvs.5

%define build_helix 0
%define build_ipod 1
%define build_njb 1

%ifarch %ix86
%define build_helix 1
%endif

%{?_without_ipod: %{expand: %%global build_ipod 0}}
%{?_without_njb: %{expand: %%global build_njb 0}}
%{?_with_njb: %{expand: %%global build_njb 1}}
%{?_without_helix: %{expand: %%global build_helix 0}}
%{?_with_helix: %{expand: %%global build_helix 1}}

Summary: Music player with mobile player support
Name: %{name}
Version: %{version}
Release: %{release}
#Source0: http://banshee-project.org/files/banshee/%{name}-%{version}.tar.bz2
Source0: http://banshee-project.org/files/banshee/%{name}-%{cvs}.tar.bz2
Patch: banshee-20060808-dllmap.patch.bz2
License: BSD
Group: Sound
Url: http://banshee-project.org/index.php/Main_Page
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires: mono-devel mono-data-sqlite
Buildrequires: gnome-sharp2
Buildrequires: dbus-sharp
Buildrequires: sqlite3-devel
BuildRequires: avahi-sharp
Buildrequires: libgstreamer-plugins-base-devel
BuildRequires: gstreamer0.10-cdparanoia
BuildRequires: gstreamer0.10-gnomevfs
BuildRequires: gstreamer0.10-plugins-good
Buildrequires: gnome-desktop-devel
Buildrequires: hal-devel >= 0.5.2
Buildrequires: libnautilus-burn-devel
Buildrequires: libmusicbrainz-devel
BuildRequires: mono-tools >= 1.1.9
Buildrequires: perl-XML-Parser
Buildrequires: librsvg
Buildrequires: desktop-file-utils

Buildrequires: gnome-common intltool
Requires(post): mono-tools >= 1.1.9 desktop-file-utils
Requires(postun): mono-tools >= 1.1.9 desktop-file-utils
Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-ugly
Requires: gstreamer0.10-cdparanoia
Requires: gstreamer0.10-gnomevfs
Requires: %mklibname musicbrainz 4
Provides: banshee-gstreamer
Obsoletes: banshee-gstreamer
#Suggests: gstreamer0.10-xing
#Suggests: gstreamer0.10-lame
#Suggests: gstreamer0.10-faac
#Suggests: gstreamer0.10-faad

%description
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

%if %build_ipod
%package ipod
Group: Sound
Summary: Ipod support for Banshee
Requires: %name = %version
Buildrequires: ipod-sharp >= 0.6.0

%description ipod
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for iPod support in Banshee.
%endif
%if %build_njb
%package njb
Group: Sound
Summary: Nomad jukebox support for Banshee
Requires: %name = %version
Buildrequires: njb-sharp >= 0.3.0

%description njb
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for Nomad jukebox support in Banshee.
%endif


%if %build_helix
%package helix
Group: Sound
Summary: Helixplayer backend for Banshee
Requires: helix-dbus-server
BuildRequires: helix-dbus-server

%description helix
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

This is a backend engine based on Helixplayer/Real.
%endif

%prep
#%setup -q -n %name-%version
%setup -q -n %name
%patch -p1 -b .dllmap
./autogen.sh

%build
%configure2_5x  \
%if ! %build_helix
 --disable-helix \
%endif
 --with-gstreamer-0-10

make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std MONO=true
mkdir -p %buildroot%_prefix/lib/monodoc/
mv %buildroot%buildroot/%_prefix/lib/monodoc/* %buildroot%_prefix/lib/monodoc/
install -m 644 docs/MonodocNodeConfig.exe %buildroot%_libdir/banshee/
%find_lang %name

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%{_bindir}/%name" icon="music-player-banshee.png" longtitle="Music Management Application" title="Banshee" needs="x11" section="Multimedia/Sound" startup_notify="true" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-Mandriva-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p %buildroot{%_liconsdir,%_miconsdir}
rsvg -w 48 -h 48 data/images/music-player-banshee.svg %buildroot%_miconsdir/music-player-banshee.png
rsvg -w 32 -h 32 data/images/music-player-banshee.svg %buildroot%_iconsdir/music-player-banshee.png
rsvg -w 16 -h 16 data/images/music-player-banshee.svg %buildroot%_liconsdir/music-player-banshee.png

rm -f %buildroot%_libdir/%name/*.a
cd %buildroot%_libdir/%name/Banshee.Dap/
%if %build_ipod
ln -sf %_prefix/lib/ipod-sharp/{ipod-sharp.dll*,ipod-sharp-ui.dll*} .
%endif
%if %build_njb
ln -sf %_libdir/njb-sharp/*njb* .
%endif

find %buildroot -name \*.config -type f|xargs chmod 644

%post
%{update_menus}
%define schemas audioscrobbler banshee banshee-notificationareaicon metadatasearch mmkeys
%post_install_gconf_schemas %schemas
%update_scrollkeeper
%update_icon_cache hicolor
%update_desktop_database
%_bindir/mono %_libdir/%name/MonodocNodeConfig.exe --insert "Banshee Libraries" classlib-banshee %_prefix/lib/monodoc/sources/../monodoc.xml
%_bindir/monodoc --make-index > /dev/null

%preun
%preun_uninstall_gconf_schemas %schemas
if [ "$1" = "0" ]; then %_bindir/mono %_libdir/%name/MonodocNodeConfig.exe --remove classlib-banshee %_prefix/lib/monodoc/sources/../monodoc.xml; fi

%postun
%{clean_menus}
%clean_icon_cache hicolor
%clean_desktop_database
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc NEWS MAINTAINERS README ChangeLog AUTHORS
%_sysconfdir/gconf/schemas/%name.schemas
%_sysconfdir/gconf/schemas/banshee-notificationareaicon.schemas
%_sysconfdir/gconf/schemas/audioscrobbler.schemas
%_sysconfdir/gconf/schemas/metadatasearch.schemas
%_sysconfdir/gconf/schemas/mmkeys.schemas
%_sysconfdir/gconf/schemas/daap.schemas
%_bindir/%name
%_bindir/%name-import
%dir %_libdir/%name/
%dir %_libdir/%name/Banshee.MediaEngine/
%dir %_libdir/%name/Banshee.Dap/
%dir %_libdir/%name/Banshee.Plugins
%_libdir/%name/Banshee.MediaEngine/GStreamer*
%_libdir/%name/Banshee.Dap/Banshee.Dap.MassStorage.dll*
%_libdir/%name/Banshee.Plugins/Audioscrobbler.dll*
%_libdir/%name/Banshee.Plugins/MetadataSearch*
%_libdir/%name/Banshee.Plugins/Daap*
%_libdir/%name/Banshee.Plugins/MMKeys*
%_libdir/%name/Banshee.Plugins/NotificationAreaIcon*
%_libdir/%name/*.exe*
%_libdir/%name/*.dll*
%_libdir/%name/*.so
%attr(644,root,root) %_libdir/%name/*.la
%_libdir/pkgconfig/%name.pc
%_prefix/lib/monodoc/sources/banshee-docs*
%_datadir/dbus-1/services/*
%_datadir/applications/%name.desktop
%_datadir/icons/hicolor/*/apps/music-player-%name.*
%_menudir/%name
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png


%if %build_ipod
%files ipod
%defattr(-,root,root)
%_libdir/%name/Banshee.Dap/*pod*
%endif

%if %build_njb
%files njb
%defattr(-,root,root)
%_libdir/%name/Banshee.Dap/*jb*
%endif

%if %build_helix
%files helix
%defattr(-,root,root)
%_libdir/%name/Banshee.MediaEngine/Helix*
%endif

%changelog
* Tue Sep 19 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060808.5mdv2007.0
- rebuild to make banshee-njb installable on x86_64

* Sat Aug 26 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060808.4mdv2007.0
- rebuild for njb-sharp

* Fri Aug 25 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060808.3mdv2007.0
- depend on musicbrainz

* Fri Aug 25 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060808.2mdv2007.0
- update the patch for new dbus

* Tue Aug  8 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060808.1mdv2007.0
- update file list
- new snapshot
- fix dll map

* Mon Aug  7 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060721.3mdv2007.0
- fix buildrequires

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1mdv2007.0
- rebuild for new dbus

* Sun Jul 23 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-0.20060721.2mdv2007.0
- fix docs installation

* Sun Jul 23 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-0.20060721.1mdv2007.0
- xdg menu
- update file list
- bump deps
- CVS snapshot

* Wed May  3 2006 Götz Waschk <waschk@mandriva.org> 0.10.10-2mdk
- drop vlc, only helix and gst are the blessed ones

* Tue May  2 2006 Götz Waschk <waschk@mandriva.org> 0.10.10-1mdk
- bump deps
- New release 0.10.10

* Fri Apr 21 2006 Götz Waschk <waschk@mandriva.org> 0.10.9-5mdk
- really rebuild for new dbus-sharp

* Fri Apr 21 2006 Götz Waschk <waschk@mandriva.org> 0.10.9-4mdk
- rebuild for new dbus-sharp

* Tue Apr 18 2006 Götz Waschk <waschk@mandriva.org> 0.10.9-3mdk
- Rebuild

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 0.10.9-2mdk
- fix buildrequires

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 0.10.9-1mdk
- fix deps
- New release 0.10.9

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.10.8-1mdk
- update file list
- reenable helix support on i586
- drop patch
- New release 0.10.8

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 0.10.7-1mdk
- New release 0.10.7

* Tue Feb 21 2006 Götz Waschk <waschk@mandriva.org> 0.10.6-2mdk
- fix buildrequires
- fix build on x86_64

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.10.6-1mdk
- New release 0.10.6

* Tue Feb  7 2006 Götz Waschk <waschk@mandriva.org> 0.10.5-1mdk
- update file list
- New release 0.10.5

* Thu Feb  2 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-7mdk
- switch to experimental gstreamer 0.10 backend

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-6mdk
- spec fix

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-5mdk
- rebuild for new dbus-sharp

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-4mdk
- use rsvg for the icons

* Sun Jan 22 2006 Michael Scherer <misc@mandriva.org> 0.10.4-3mdk
- reenable avahi now avahi-sharp was splitted

* Sun Jan 22 2006 Michael Scherer <misc@mandriva.org> 0.10.4-2mdk
- fix typo requires

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdk
- update file list
- disable avahi for now
- add suggests on optional gstreamer plugins
- New release 0.10.4

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-2mdk
- fix build on x86_64

* Thu Dec 22 2005 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdk
- update file list
- merge the gstreamer with the package, it is required anyway
- enable njb support
- New release 0.10.2

* Wed Dec  7 2005 Götz Waschk <waschk@mandriva.org> 0.10-2mdk
- add developer docs
- fix installation

* Wed Dec  7 2005 Götz Waschk <waschk@mandriva.org> 0.10-1mdk
- bump deps
- New release 0.10
- split out ipod package
- update file list

* Fri Nov 18 2005 Götz Waschk <waschk@mandriva.org> 0.9.12-1mdk
- update file list
- bump deps
- New release 0.9.12

* Sat Nov 12 2005 Götz Waschk <waschk@mandriva.org> 0.9.11.1-1mdk
- New release 0.9.11.1

* Thu Nov 10 2005 Götz Waschk <waschk@mandriva.org> 0.9.11-1mdk
- bump deps
- New release 0.9.11

* Fri Nov  4 2005 Götz Waschk <waschk@mandriva.org> 0.9.10-1mdk
- drop patch
- New release 0.9.10

* Thu Nov  3 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-7mdk
- disable helix backend, it is binary only crap for i586

* Tue Nov  1 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-6mdk
- fix off-by-one error in ripping code

* Tue Nov  1 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-5mdk
- mkrel

* Tue Nov  1 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-4mdk
- fix buildrequires

* Tue Nov  1 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-3mdk
- add support for building the xing encoder (disabled by default)

* Mon Oct 31 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-2mdk
- enable vlc backend

* Mon Oct 31 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-1mdk
- fix installation
- bump deps
- New release 0.9.9

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 0.9.8-3mdk
- use packaged ipod-sharp

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 0.9.8-2mdk
- split out engines

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 0.9.8-1mdk
- initial package
